#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "pktlib.h"
#include "pktbuf.h"
#include "pcap.h"

int main(int argc, char *argv[])
{
  pktif_t pktif;
  pktbuf_t pktbuf;
  int linktype, size;
  char *p;
  struct timeval *tm;

  pktif = pktif_open(argv[1], 0, 0); /* 󥿡ե򥪡ץ󤹤 */

  linktype = pktif_get_linktype(pktif);

  while (1) {
    pktbuf = pktbuf_recv(pktif, 0); /* ѥåȤ */
    if (pktbuf == NULL) continue;

    p = pktbuf_get_header(pktbuf); /* ץΰ褫ХåեƬ */
    size = pktbuf_get_size(pktbuf); /* ץΰ褫饵 */
    tm = pktbuf_get_time(pktbuf); /* ץΰ褫 */

    pkt_pcap_write(stdout, p, size, linktype, size, tm); /* pcap */

    pktbuf_destroy(pktbuf);
    fflush(stdout);
  }

  return 0;
}
